datablock ParticleData(MonarchButterflyParticle)
{
	dragCoefficient      = 0.1;
	gravityCoefficient   = -0.1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3250;
	lifetimeVarianceMS   = 350;
	textureName          = "./monarch";
	spinSpeed		= 0.1;
	spinRandomMin		= -2.0;
	spinRandomMax		= 2.0;
	colors[0]     = "1 1 1 1.0";
	colors[1]     = "1 1 1 1.0";
	colors[2]     = "1 1 1 1.0";
	colors[3]     = "1 1 1 1.0";
	sizes[0]      = 1.20;
	sizes[1]      = 1.70;
	sizes[2]      = 1.50;
	sizes[3]      = 1.00;
	windCoefficient = 0.0;

	times[0]      = 2.50;
	times[1]      = 2.00;
	times[2]      = 1.50;
	times[3]      = 1.00;

	useInvAlpha = true;
};
datablock ParticleEmitterData(MonarchButterflyEmitter)
{
   ejectionPeriodMS = 200;
   periodVarianceMS = 20;
   ejectionVelocity = 5.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "MonarchButterflyParticle";

    uiName = "Monarch Butterfly Emitter";
};

datablock ParticleData(TigerSwollowtailButterflyParticle)
{
	dragCoefficient      = 0.1;
	gravityCoefficient   = -0.1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3250;
	lifetimeVarianceMS   = 350;
	textureName          = "./tigerswallowtail";
	spinSpeed		= 0.1;
	spinRandomMin		= -2.0;
	spinRandomMax		= 2.0;
	colors[0]     = "1 1 1 1.0";
	colors[1]     = "1 1 1 1.0";
	colors[2]     = "1 1 1 1.0";
	colors[3]     = "1 1 1 1.0";
	sizes[0]      = 1.20;
	sizes[1]      = 1.70;
	sizes[2]      = 1.50;
	sizes[3]      = 1.00;
	windCoefficient = 0.0;

	times[0]      = 2.50;
	times[1]      = 2.00;
	times[2]      = 1.50;
	times[3]      = 1.00;

	useInvAlpha = true;
};
datablock ParticleEmitterData(TigerSwollowtailButterflyEmitter)
{
   ejectionPeriodMS = 200;
   periodVarianceMS = 20;
   ejectionVelocity = 5.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "TigerSwollowtailButterflyParticle";

    uiName = "Tiger Swollowtail Butterfly Emitter";
};

datablock ParticleData(BlueButterflyParticle)
{
	dragCoefficient      = 0.1;
	gravityCoefficient   = -0.1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3250;
	lifetimeVarianceMS   = 350;
	textureName          = "./bluebutterfly";
	spinSpeed		= 0.1;
	spinRandomMin		= -2.0;
	spinRandomMax		= 2.0;
	colors[0]     = "1 1 1 1.0";
	colors[1]     = "1 1 1 1.0";
	colors[2]     = "1 1 1 1.0";
	colors[3]     = "1 1 1 1.0";
	sizes[0]      = 1.20;
	sizes[1]      = 1.70;
	sizes[2]      = 1.50;
	sizes[3]      = 1.00;
	windCoefficient = 0.0;

	times[0]      = 2.50;
	times[1]      = 2.00;
	times[2]      = 1.50;
	times[3]      = 1.00;

	useInvAlpha = true;
};
datablock ParticleEmitterData(BlueButterflyEmitter)
{
   ejectionPeriodMS = 200;
   periodVarianceMS = 20;
   ejectionVelocity = 5.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "BlueButterflyParticle";

    uiName = "Blue Butterfly Emitter";
};

datablock ParticleData(WhiteButterflyParticle)
{
	dragCoefficient      = 0.1;
	gravityCoefficient   = -0.1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3250;
	lifetimeVarianceMS   = 350;
	textureName          = "./whitebutterfly";
	spinSpeed		= 0.1;
	spinRandomMin		= -2.0;
	spinRandomMax		= 2.0;
	colors[0]     = "1 1 1 1.0";
	colors[1]     = "1 1 1 1.0";
	colors[2]     = "1 1 1 1.0";
	colors[3]     = "1 1 1 1.0";
	sizes[0]      = 1.20;
	sizes[1]      = 1.70;
	sizes[2]      = 1.50;
	sizes[3]      = 1.00;
	windCoefficient = 0.0;

	times[0]      = 2.50;
	times[1]      = 2.00;
	times[2]      = 1.50;
	times[3]      = 1.00;

	useInvAlpha = true;
};
datablock ParticleEmitterData(WhiteButterflyEmitter)
{
   ejectionPeriodMS = 200;
   periodVarianceMS = 20;
   ejectionVelocity = 5.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "WhiteButterflyParticle";

    uiName = "White Butterfly Emitter";
};

datablock ParticleData(JungleButterflyParticle)
{
	dragCoefficient      = 0.1;
	gravityCoefficient   = -0.1;
	inheritedVelFactor   = 0.0;
	constantAcceleration = 0.1;
	lifetimeMS           = 3250;
	lifetimeVarianceMS   = 350;
	textureName          = "./junglebutterfly";
	spinSpeed		= 0.1;
	spinRandomMin		= -2.0;
	spinRandomMax		= 2.0;
	colors[0]     = "1 1 1 1.0";
	colors[1]     = "1 1 1 1.0";
	colors[2]     = "1 1 1 1.0";
	colors[3]     = "1 1 1 1.0";
	sizes[0]      = 1.20;
	sizes[1]      = 1.70;
	sizes[2]      = 1.50;
	sizes[3]      = 1.00;
	windCoefficient = 0.0;

	times[0]      = 2.50;
	times[1]      = 2.00;
	times[2]      = 1.50;
	times[3]      = 1.00;

	useInvAlpha = true;
};
datablock ParticleEmitterData(JungleButterflyEmitter)
{
   ejectionPeriodMS = 200;
   periodVarianceMS = 20;
   ejectionVelocity = 5.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 60;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "JungleButterflyParticle";

    uiName = "Jungle Butterfly Emitter";
};